Lavalite package that provides e-_commerce management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `david/e-_commerce`.

    "david/e-_commerce": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    David\ECommerce\Providers\ECommerceServiceProvider::class,

And also add it to alias

    'ECommerce'  => David\ECommerce\Facades\ECommerce::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=David\\ECommerce\\Seeders\\ECommerceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="David\ECommerce\Providers\ECommerceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="David\ECommerce\Providers\ECommerceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="David\ECommerce\Providers\ECommerceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/e-_commerce/{modulename}

**User**

    http://path-to-route-folder/user/e-_commerce/{modulename}

**Public**

    http://path-to-route-folder/e-_commerces


### API endpoints

**List**

    http://path-to-route-folder/api/user/e-_commerce/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/e-_commerce/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/e-_commerce/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/e-_commerce/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/e-_commerce/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/e-_commerce/{modulename}/{slug}
    METHOD: GET